SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
SLNet::RakNetRandom Class Reference

`#include <slikenet/Rand.h>`

## Public Member Functions

| RakNetRandom ()
| ~RakNetRandom ()
void | SeedMT (unsigned int seed)
unsigned int | ReloadMT (void)
unsigned int | RandomMT (void)
float | FrandomMT (void)
void | FillBufferMT (void *buffer, unsigned int bytes)

## Protected Attributes

unsigned int | state [624+1]
unsigned int * | next
int | left

## Detailed Description

Definition at line 53 of file Rand.h.

## Constructor & Destructor Documentation

RakNetRandom::RakNetRandom | ( |  | ) |

Definition at line 232 of file Rand.cpp.

References left.

RakNetRandom::~RakNetRandom | ( |  | ) |

Definition at line 236 of file Rand.cpp.

## Member Function Documentation

void RakNetRandom::FillBufferMT | ( | void * | buffer,
|  | unsigned int | bytes
| ) |  |

Definition at line 260 of file Rand.cpp.

References fillBufferMT(), left, next, and state.

float RakNetRandom::FrandomMT | ( | void |  | ) |

Definition at line 255 of file Rand.cpp.

References frandomMT(), left, next, and state.

unsigned int RakNetRandom::RandomMT | ( | void |  | ) |

Definition at line 250 of file Rand.cpp.

References left, next, randomMT(), and state.

Referenced by SLNet::RakNetRandomSync::RandomMT(), and SLNet::RakNetRandomSync::Skip().

unsigned int RakNetRandom::ReloadMT | ( | void |  | ) |

Definition at line 245 of file Rand.cpp.

References left, next, reloadMT(), and state.

void RakNetRandom::SeedMT | ( | unsigned int | seed | ) |

Definition at line 239 of file Rand.cpp.

References left, next, seedMT(), and state.

Referenced by SLNet::RakNetRandomSync::SeedMT(), and SLNet::RakPeer::Startup().

## Member Data Documentation

int SLNet::RakNetRandom::left

protected

Definition at line 67 of file Rand.h.

Referenced by FillBufferMT(), FrandomMT(), RakNetRandom(), RandomMT(), ReloadMT(), and SeedMT().

unsigned int* SLNet::RakNetRandom::next

protected

Definition at line 66 of file Rand.h.

Referenced by FillBufferMT(), FrandomMT(), RandomMT(), ReloadMT(), and SeedMT().

unsigned int SLNet::RakNetRandom::state[624+1]

protected

Definition at line 65 of file Rand.h.

Referenced by FillBufferMT(), FrandomMT(), RandomMT(), ReloadMT(), and SeedMT().

The documentation for this class was generated from the following files:

- Source/include/slikenet/Rand.h
- Source/src/Rand.cpp